/* SHOP CUSTOM */
.woocommerce #payment #place_order {
    background-color: #E147A1 !important;
    padding: 1rem 2rem !important;
    border-radius: 9px !important;
}

.shopHead {
    font-size: 60px;
    margin-bottom: 10px;
}

.woShopLocHead {
    font-size: 45px;
    margin-bottom: 10px;
}
.pSubLabel {
    font-size: 0.8rem;
}
.pSubVal {
    font-size: 1.25rem;
}

.shopSubHead {
    font-size: 24px;
}
.single-product .pPriceWrapper {
    color: #E147A1;
    font-size: 1.25rem;
}
.loopImageWrapper,
.woocommerce-product-gallery__wrapper {
    background: #F4F4F4;
    width: 100%;
    height: 100%;
    max-height: 350px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.breadCrumbs a {
    color: #E147A1;
    text-decoration: none;
}

.woocommerce-product-gallery--with-images {
    max-width: 40%;
}

.woocommerce div.product div.summary {
    width: 55%;
    padding-right: 4%;
}

.woocommerce-loop-product__title {
    min-height: 4.2rem;
}

.loopImageWrapper,
.woocommerce-product-gallery__wrapper {
    padding: 1rem;
}

.loopImageWrapper img,
.woocommerce-product-gallery__wrapper img {
    height: 300px !important;
    width: auto !important;
    max-height: 200px !important;
    padding: 0;
    transition: transform .2s ease-out;

}

.woocommerce-product-gallery__wrapper img {
    max-height: 100% !important;
}
.wo-extra-tooltip {
    width: 1rem;
    height: 1rem;
}
.loopImageWrapper:hover img {
    transform: scale(1.1);
    transition: transform .2s ease-out;
}

.loopTitleWrapper {
    padding: 1rem;
    background: #E147A1;
    color: #FFF;
    display: flex;
    flex-wrap: wrap;
}

.loopTitleWrapper h2 {
    width: 100%;
    font-size: 1.25rem !important;
}

.loopTitleWrapper .price {
    width: 100%;
    margin-bottom: .5rem !important;

}

.loopTitleWrapper .dPrice {
    width: 100%;
    margin-bottom: .5rem !important;

}

.woocommerce ul.products li.product .price {
    margin-top: .65rem;
}

.product .price {
    font-size: 1rem !important;
    font-weight: 600 !important;
}

.loopTitleWrapper span,
.woocommerce ul.products li.product .price {
    color: #FFF;
}


.loopTitleWrapper .price *,
.loopTitleWrapper .dPrice * {
    margin-bottom: 0 !important;
}

.dPriceWrapper {
    font-size: .857em;
    font-weight: 400;
}
.woocommerce-cart .cart-collaterals .cart_totals table small.cPurple {
    color: #723DA0;
}
/** 
*
* Header-Clouds for single-product and cart 
*/
.woocommerce-page .bgCloudWrapperHead,
.page-template-shop-page .bgCloudWrapperHead,
.single-product .bgCloudWrapperHead {
    height: 150px;
    max-height: 150px;
}

.woocommerce-page .hCloudActive #masthead,
.page-template-shop-page .hCloudActive #masthead,
.single-product .hCloudActive #masthead {
    min-height: 250px;
}
/* 
.woocommerce-page .hCloudActive #primary,
.page-template-shop-page .hCloudActive #primary
{
    margin-top: 250px;
} */

/*
*
* Shop-Archive Page
*/
.shopArchive img {
    width: 65%;
}

.post-type-archive-product .shopArchive .bgCloudWrapper {
    height: 160px;
    top: -160px;
}


/** 
*
* Sidebar WC
*/
.lieferBHeader {
    padding: 10px;
    background: #E147A1;
    text-align: center;
    color: #FFF;
    font-size: 1.35rem;
}

.lieferBdBody {
    padding: 15px 30px;
    background: #f4f4f4;
    max-width: calc(100% - 30px);
    margin: 0 auto;
    display: block;
    font-size: 14px;
}


.lieferBdImg {
    margin-top: 15px;
}

.sbHead.subClaim,
.dateDisp.subClaim {
    font-size: 1.2rem;
}

#billing_address_1::placeholder {
    content: 'Straßenname und Hausnummer *';
}

.dateDisp {
    text-align: center;
    position: relative;
    color: #E147A1;
    border: 3px solid #E147A1;
    border-radius: 9px;
    padding: .3rem 1rem;
    margin: .5rem auto;
    height: 2.5rem;
    cursor: pointer;
    font-size: 1rem;
    width: 100%;
}


.dateChangeIcon {
    height: 2.35rem;
    width: 2.35rem;
    background-color: #E147A1;
    color: white;
    border-radius: 9px;
    position: absolute;
    right: -2px;
    top: -2px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;

}


/* SWITCHES */
.wc-checkbox-switch {
    display: block;
}

.w-switch {
    position: relative;
    display: inline-block !important;
    width: 50px;
    height: 25px;
    margin-bottom: 0;
}

.w-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.extra_wc_slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 20px;

}

.extra_wc_slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 50%;

}

.tooltip-inner {
    background-color: #723DA0;
    padding: 0.75rem;
}

.tooltip-arrow {
    border-color: #E147A1;
}

.wc-checkbox-switch.active input,
.wc-checkbox-switch.active .extra_wc_slider {
    background-color: #E147A1;
}

input:focus+.slider {
    box-shadow: 0 0 1px #E147A1;
}

.wc-checkbox-switch.active .extra_wc_slider:before {
    -webkit-transform: translateX(24px);
    -ms-transform: translateX(24px);
    transform: translateX(24px);
}


/**
*
* Single Product
*/

.extraCtitle .woCheckboxCont {
    font-size: 0.77rem;
    font-weight: 700;
    padding-top: .23rem;
}



.product_title {
    font-size: 3.75rem;
    font-weight: 700;
    color: #E147A1;
    margin-bottom: 1rem;
}


.woocommerce-product-details__short-description {
    font-size: 1.2rem;
    font-weight: 700;
}

.woocommerce div.product p.price,
.woocommerce div.product span.price {
    color: #E147A1;
    margin-bottom: 0.2rem;
}

.extra-choice {
    margin: 10px 0;
    max-width: 50%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    min-height: 2rem;
}

.extraCtitle {
    cursor: pointer;
    display: flex;
    align-items: center;
}

.extraCInput,
#ship-to-different-address-checkbox {
    width: 1.25rem;
    min-width: 1.25rem;
    /* Checkbox von Haftungsbefreiung (ohne Hindernisse) sonst zu klein */
    height: 1.25rem;
    min-height: 1.25rem;
    /* Checkbox von Haftungsbefreiung (ohne Hindernisse) sonst zu klein */
    margin-right: .5rem;
    border-radius: 0;
}

.extraCInput:checked {
    background-color: #E147A1;
}

.extrapTag {
    padding: 0.2rem 0.5rem;
    background-color: #E147A1;
    color: #FFF;
    border-radius: 5px;
    font-size: 0.75rem;
}

/* SWITCHES */
.w-checkbox-switch {
    display: block;
}

.w-switch {
    position: relative;
    display: inline-block !important;
    width: 50px;
    height: 25px;
    margin-bottom: 0;
}

.w-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 20px;

}

.slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 50%;

}

input:checked+.slider {
    background-color: #E147A1;
}

input:focus+.slider {
    box-shadow: 0 0 1px #E147A1;
}

input:checked+.slider:before {
    -webkit-transform: translateX(24px);
    -ms-transform: translateX(24px);
    transform: translateX(24px);
}

.woocommerce .quantity {
    width: 100%;
    margin-bottom: 1.5rem !important;
    display: flex;
    align-items: center;
}

.woocommerce .quantity .qty {
    margin: 0 .25rem;
    appearance: none;
}

.woocommerce .qty::-webkit-inner-spin-button,
.woocommerce .qty::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.woocommerce .quantity .inc,
.woocommerce .quantity .dec {
    background-color: #723DA0;
    color: #FFF;
    cursor: pointer;
    width: 2rem;
    height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    border: 2px solid #723DA0;
}

.woocommerce .quantity .qty {
    border: 2px solid #723DA0;
    border-radius: 5px;
    color: #723DA0;
    height: 2rem;
    width: 2.75rem;
}


.cart button.single_add_to_cart_button.button {
    padding: .667em 1.333em;
    background-color: #E147A1;
    color: #FFF;
    border-radius: 9px;
    transition: 0.3s all ease;
    text-decoration: underline transparent;
}


/**
* Cart Items
*/

.woocommerce table.shop_table {
    border-radius: 0;
    border: 0px;
}

.woocommerce-cart-form__cart-item {
    background-color: #f4f4f4;
}


.woocommerce a.remove {
    font-size: 1rem !important;
    background-color: transparent !important;
    border: 2px solid #723DA0 !important;
    color: #723DA0 !important;
    transition: 0.3s all ease !important;
    text-decoration: transparent !important;
    width: auto !important;
    height: auto !important;
    padding: .5rem 1rem !important;
    border-radius: 10px !important;
}

.woocommerce a.remove:hover,
.woocommerce a.remove:focus,
.woocommerce a.remove:visited {
    color: #723DA0 !important;
}

.woocommerce-cart-form__cart-item>div {
    padding: 1rem;
}

.woocommerce-cart-form__cart-item .product-thumbnail img {
    max-height: 180px;
    width: auto;
}

.product-name a {
    text-decoration: none;
}

.woocommerce-cart-form__cart-item .variation {
    margin: 1rem 0;
}

.variation-Extras {
    margin: .2rem 0;
}

dt.variation-Extras {
    color: #E147A1;
}

.product-subtotal {
    font-weight: 700;
}

.woocommerce-cart .wc-proceed-to-checkout a.checkout-button {
    padding: .667em 1.333em;
    background-color: #E147A1;
    color: #FFF;
    border-radius: 9px;
    transition: 0.3s all ease;
    text-decoration: underline transparent;
    width: auto;
    display: inline-block;
}

.woocommerce .cart-collaterals .cart_totals,
.woocommerce-page .cart-collaterals .cart_totals {
    width: 100%;
    float: none;
}

.woocommerce-cart-form__contents .button[name="update_cart"] {
    float: left;
}

/* DATE PICKER */
#ui-datepicker-div,
.ui-datepicker .ui-datepicker-header {
    background-color: #FFF;
    border: none;
    color: #E147A1;
}

.ui-state-default {
    background-color: #FFF !important;
    border: 1px solid #E147A1 !important;
    color: #E147A1 !important;
    border-radius: 3px;
}

.ui-state-active {
    background: #E147A1 !important;
    color: #FFF !important;
}

/* Billing */
form.checkout h3 {
    color: #E147A1;
}
#order_review_heading {
    color: #E147A1;
}

.woocommerce-shipping-fields .shipping_address .form-row {
    margin-bottom: 1rem;
}

#shipping_first_name_field,
#shipping_last_name_field {
    width: 100%;
}
#shipping_country_field {
    height: 3.372rem;
    padding-top: 1.2rem;
}
#ship-to-different-address {
    margin-bottom: 1rem;
}

/* WooCommerce Messages */
.woocommerce-message {
    border-top-color: #E147A1;
}

.woocommerce-message::before {
    color: #E147A1;
}

.woocommerce-error::before, 
.woocommerce-info::before, 
.woocommerce-message::before {
    top: 50%;
    transform: translateY(-50%);
}

/* Buttons */ 
.woocommerce button.button.alt,
.button.alt {
    background-color: #E147A1;
    transform: scale(1);
    transition: 0.3s all ease;
}
.woocommerce button.button.alt:hover,
.woocommerce a.button.alt:hover {
    background-color: #E147A1;
    transform: scale(1.05);
}
.woocommerce a.button:hover {
    background-color: #723DA0;
    transform: scale(1.05);
    color: #fff;
}
.woocommerce a.remove {
    transform: scale(1);
    transition: 0.3s all ease;
}
.woocommerce a.remove:hover {
    transform: scale(1.05);
}

@media all and (max-width: 1400px) {

    .wp-block-button a,
    .woBtn,
    .btnPurpFull {
        padding: 0.5rem 0.5rem !important;
    }

    /* Single-Product */
    .choice-title {
        font-size: 0.9rem;
    }

    .extra-choice {
        max-width: 49%;
    }
}

@media all and (max-width: 1200px) {
    .dateDisp {
        padding: .3rem .25rem;
    }
    .sideBarDate {
        min-width: 60px !important;
    max-width: 100px !important;
    }
    /* Product Display */
    .woocommerce ul.products {
        display: inline-flex;
        display: -ms-flexbox;
        /* IE 10 */
        flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        /* IE 10 */
        flex-direction: row;
        -ms-flex-direction: row;
        /* IE 10 */
    }

    .woocommerce ul.products li.product,
    .woocommerce-page ul.products li.product {
        width: 45% !important;
        margin: 0;
        margin-bottom: 9rem !important;
        float: none !important;
        clear: none !important;
    }

    .woocommerce ul.products li.product:nth-of-type(odd),
    .woocommerce-page ul.products li.product:nth-of-type(odd) {
        margin-right: 9.5%;
    }

    .woocommerce ul.products li.product:nth-of-type(even),
    .woocommerce-page ul.products li.product:nth-of-type(even) {
        margin-right: 0;
    }

    /* Single-Product */
    .choice-title {
        font-size: 1rem;
    }

    .extra-choice {
        max-width: 100%;
    }

    /* Nav */
    /* .single-product #primary {
        margin-top: 350px !important;
    }

    .single-product .hCloudActive #masthead {
        min-height: 350px;
    }

    .single-product .bgCloudWrapperHead {
        height: 200px;
        max-height: 200px;
    } */
}

@media all and (max-width: 992px) {

    .wp-block-button a,
    .woBtn,
    .btnPurpFull {
        padding: 0.8rem 1.3rem !important;
    }

    .woocommerce-product-gallery--with-images {
        max-width: 100%;
        width: 100% !important;
    }

    .woocommerce div.product div.summary {
        width: 100%;
        padding-right: 0%;
    }

    .extra-choice {
        max-width: 60%;
    }
}

@media all and (max-width: 768px) {
    .extra-choice {
        max-width: 100%;
    }

    /* Nav */
    /* .single-product #primary {
        margin-top: 250px !important;
    } */

    .single-product .hCloudActive #masthead {
        min-height: 250px;
    }

    .single-product .bgCloudWrapperHead {
        height: 150px;
        max-height: 150px;
    }
}

@media all and (max-width: 576px) {

    /* Product Display */
    .woocommerce ul.products li.product,
    .woocommerce-page ul.products li.product {
        width: 100% !important;
    }

    .woocommerce ul.products li.product:nth-of-type(odd),
    .woocommerce-page ul.products li.product:nth-of-type(odd) {
        margin-right: 0;
    }

    /* Sidebar */
    .fm-icon,
    .fm-label {
        line-height: 40px !important;
    }

    .fm-bar a,
    .fm-icon,
    .fm-round .fm-hit,
    .fm-sub>ul {
        width: 40px !important;
    }

    .fm-bar.fm-right li,
    .fm-right .fm-mask,
    .fm-hit,
    .fm-icon {
        height: 40px !important;
    }

    /* Cart */
    .single-product .woocommerce-notices-wrapper .woocommerce-message {
        display: flex;
        display: -ms-flexbox;
        /* IE 10 */
        flex-direction: column;
        -ms-flex-direction: column;
        /* IE 10 */
        align-items: flex-start;
        -ms-flex-align: start;
        /* IE 10 */
    }

    .single-product .woocommerce-notices-wrapper .woocommerce-message a.wc-forward {
        margin-bottom: 1rem;
    }
    .shopHead br {
        display: none;
    }
    h1.product_title {
        font-size: 2.75rem;
    }
    #ship-to-different-address {
        margin-bottom: 2rem;
    }

}

@media all and (max-width: 360px) {

    .wp-block-button a,
    .woBtn,
    .btnPurpFull {
        padding: 0.5rem 1rem !important;
    }
}



.theNoticeText a.button {
    display: inline-block;
    padding: .667em 1.333em;
    background-color: #723DA0;
    color: #FFF;
    border-radius: 9px;
    transition: 0.3s all ease;
    text-decoration: none;
    cursor: pointer;
    transform: scale(1);
}
.theNoticeText {
    padding: 1rem;
}


.wc_payment_method label {
    color: #723DA0;
    font-weight: 700;
    cursor: pointer;
}

.payment_method_paypal img {
    display: none;
}

.payment_method_paypal label {
    display: inline-flex;
    align-items: center;
}


.payment_method_paypal label a {
    margin-left: 1rem;
}
.payment_box {
    background-color: white !important;
    padding-left: 3rem !important;
    padding-top: .5rem !important;
    margin-top: .5rem !important;
    color: #723DA0 !important;
}

.payment_box::before {
    display: none !important;
}


.payment_methods .checkmark {
    top: 5px;
}

.payment_method_paypal .about_paypal {
    line-height: 1.2 !important;
}
.woocommerce-checkout #payment ul.payment_methods li  {
    margin-bottom: 1rem;
}



/** Bestellen Danke */
.woocommerce-order-received .wc-item-meta {
    margin-left: 0 !important;
    padding-left: 0 !important;
}


div#cartUpdatedWO {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    display: none;
}

.cartUpdateWrapper {
    display: inline-block;
    padding: 2rem 1.5rem;
    border-radius: 5px;
    background-color: #723DA0;
    color: #FFF;
}

.cartUpdateWrapper .woBtn {
    text-align: center;
    border-color: #FFF;
    color: #FFF;
}
.cartUpdateWrapper .overlayToCart {
    color: #723DA0;
    justify-content: center;

    background-color: #FFF;
}
.cartUpdateWrapper .woBtn:hover {
    color: #FFF;

}
.cartUpdateWrapper .overlayToCart:hover {
    color: #723DA0 !important;

}

@media (max-width: 576px) {
    div#cartUpdatedWO {
    top: auto;
    bottom: 20px;
    left: 10px;
    right: 10px;    
    transform: none;
    }
    .woocommerce ul.order_details li {
        margin-bottom: 1rem;
        width: 100%;
    }
}

.woocommerce-table__line-item a {
    color: #E147A1;
}

.woocommerce ul.order_details {
    margin-left: 0;
    padding: 2rem 0;
}



.aTax {
    font-size: .85rem;
    margin-top: .5rem;
}

.woocommerce-product-gallery__wrapper .moreInfo {
    top: 15px;
    right: 15px;
}

/* Shop Form
--------------------------------------------- */
#toShop {
    border-radius: 16px;
}

@media (min-width: 768px) {
    #toShop {
        font-size: 2.25rem;
    }
}

.store-maintenance ul.products {
    margin-bottom: 80px;
}